Bug 472750 - Conflict with qstat
Conflict with qstat
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: qstat (Show other bugs)
el5
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Andy Shevchenko
Fedora Extras Quality Assurance
: Reopened
: 533016 (view as bug list)
Depends On:
Blocks: 526561 533704 533777
  Show dependency treegraph
 
Reported: 2008-11-24 06:45 EST by Michael Schwendt
Modified: 2010-04-16 19:39 EDT (History)
5 users (show)

See Also:
Fixed In Version: qstat-2.11-9.20080912svn311.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-10 15:08:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2008-11-24 06:45:56 EST
gridengine-6.1u3-6.el5.i386  in  fedora-epel-5-i386
  File conflict with: qstat-2.11-2.el5.i386
     /usr/bin/qstat
Comment 1 Orion Poplawski 2008-11-24 10:53:47 EST
This is just as much a bug against qstat.  Re-assigning to pick up the qstat owners.  I would also argue that queuing software has priority over game stuff in EPEL.

I imagine this is an issue in Fedora as well.  gridengine and torque-client have moved to alternatives to provide qstat and others in Fedora devel.
Comment 3 Michael Schwendt 2008-11-24 13:21:01 EST
In Debian it has been renamed to /usr/bin/quakestat
Comment 4 Andy Shevchenko 2008-12-07 17:55:22 EST
Hmmm... We can rename it at least in F-11. But how to do that in distributions which are in market already? Who could propose 'true' way for that?
Comment 5 Michael Schwendt 2009-06-14 05:53:45 EDT
https://fedoraproject.org/wiki/Packaging:Conflicts

Requesting approval of explicit "Conflicts:" is tons better than continueing with implicit (hidden) conflicts, which make RPM transaction checks fail badly and which confuses the distribution users.
Comment 6 Andy Shevchenko 2009-11-05 08:45:23 EST
*** Bug 533016 has been marked as a duplicate of this bug. ***
Comment 7 Andy Shevchenko 2009-11-05 09:32:36 EST
(In reply to comment #5)
> https://fedoraproject.org/wiki/Packaging:Conflicts
> 
> Requesting approval of explicit "Conflicts:" is tons better than continueing
> with implicit (hidden) conflicts, which make RPM transaction checks fail badly
> and which confuses the distribution users.  

I have started a discussion in fedora-devel@. I consider to rename binary as better solution.
Comment 8 Michael Schwendt 2009-11-05 10:41:42 EST
> better solution

Well, you've quoted me out of context. See comment 4 and comment 5 (and comment 3).

Obviously, eliminating the conflict [by renaming] is the best solution.
Comment 9 Andy Shevchenko 2009-11-05 10:48:26 EST
(In reply to comment #8)
> > better solution
> 
> Well, you've quoted me out of context. See comment 4 and comment 5 (and comment
> 3).
> 
> Obviously, eliminating the conflict [by renaming] is the best solution.  

Then I just rename it to quakestat in future fedora package. How should we proceed with rhel/epel? Just renaming and then to patch other software for it with additional requirements like >= qstat-x.y.z-abc?
Comment 10 Fedora Update System 2009-11-08 13:15:40 EST
qstat-2.11-9.20080912svn311.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/qstat-2.11-9.20080912svn311.fc11
Comment 11 Fedora Update System 2009-11-08 13:15:46 EST
qstat-2.11-3.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/qstat-2.11-3.el4
Comment 12 Fedora Update System 2009-11-08 13:15:50 EST
qstat-2.11-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/qstat-2.11-3.el5
Comment 13 Fedora Update System 2009-11-08 13:15:55 EST
qstat-2.11-9.20080912svn311.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/qstat-2.11-9.20080912svn311.fc10
Comment 14 Fedora Update System 2009-11-08 13:15:59 EST
qstat-2.11-9.20080912svn311.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/qstat-2.11-9.20080912svn311.fc12
Comment 15 Jose Pedro Oliveira 2009-11-08 16:40:45 EST
Can someone please abort the update as it breaks nagios-plugins?

<rant>

Please run:

  repoquery --whatrequires  qstat

</rant>

/jpo
Comment 16 Orion Poplawski 2009-11-08 23:24:01 EST
Though I don't see how you are going to get around needing to patch nagios to use the new name.
Comment 17 Andy Shevchenko 2009-11-09 01:25:37 EST
(In reply to comment #15)
> Can someone please abort the update as it breaks nagios-plugins?
Why? The binary name should be changed anyway. I filed bug against
nagios-plugins.
Comment 18 Andy Shevchenko 2009-11-09 01:27:58 EST
There is only one issue what I see. The whole bunch of updates (qstat/xqf/nagious-plugins) should go at once. Have we such functionality in koji?
Comment 19 Michael Schwendt 2009-11-09 02:20:57 EST
In bodhi - you can push multiple packages in a single ticket.
Comment 20 Fedora Update System 2009-11-09 22:21:04 EST
qstat-2.11-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qstat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0810
Comment 21 Fedora Update System 2009-11-09 22:21:37 EST
qstat-2.11-3.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qstat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0820
Comment 22 Fedora Update System 2009-11-10 12:45:04 EST
qstat-2.11-9.20080912svn311.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qstat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-11184
Comment 23 Fedora Update System 2009-11-10 12:46:19 EST
qstat-2.11-9.20080912svn311.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qstat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11198
Comment 24 Fedora Update System 2009-11-10 12:48:39 EST
qstat-2.11-9.20080912svn311.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qstat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11213
Comment 25 FTBFS 2010-02-13 22:37:06 EST
FTBFS fixed in qstat-2.11-9.20080912svn311.fc13.  Closing.
Comment 26 Jose Pedro Oliveira 2010-03-10 14:40:20 EST
Re-opening...

<rant>
THE FILE RENAME MESS HASN'T GONE AWAY!
</rant>


This file renaming problem still persists: nagios-plugins-game is still using /usr/bin/qstat.  But now there is a good chance of having this *bloody* problem fixed: there is a new maintainer of nagios-plugins.

Also blocking ticket #526561 to alert the new maintainer (and also via #533777 which includes a patch).

/jpo
Comment 27 Andy Shevchenko 2010-03-10 15:08:44 EST
Please, don't reopen this bug again. It's actually fixed and all packages are in koji/bodhi. When dependent packages will be fixed the update will going to repository. (See comment #19 as well)
Comment 28 Jose Pedro Oliveira 2010-03-10 16:03:23 EST
(In reply to comment #27)
> Please, don't reopen this bug again. It's actually fixed and all packages are
> in koji/bodhi. When dependent packages will be fixed the update will going to
> repository. (See comment #19 as well)    


Andy,

Your statement is false!

Nagios-plugins has not been patched yet.

/jpo
Comment 29 Andy Shevchenko 2010-03-10 16:08:25 EST
As we can see this is a problem of supplementary packages. qstat itself was fixed a long time ago.
Comment 30 Jose Pedro Oliveira 2010-03-10 16:12:56 EST
qsyat maybe but you broke nagios-plugins-game.

And in case you haven't notice nagios-plugins-game is using the wrong qstat binary in Fedora 13 and Fedora 14 which is completely unacceptable.

/jpo
Comment 31 Andy Shevchenko 2010-03-10 16:51:54 EST
(In reply to comment #30)
> qsyat maybe but you broke nagios-plugins-game.
> 
> And in case you haven't notice nagios-plugins-game is using the wrong qstat
> binary in Fedora 13 and Fedora 14 which is completely unacceptable.

Let's finish this useless discussion. The qstat was updated, the other maintainers were notified via bugzilla immediately. So, now that is the issue of certain maintainers or process where nobody can do simple stuff which as you said completely unacceptable.
Comment 32 Fedora Update System 2010-04-15 19:48:32 EDT
qstat-2.11-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2010-04-15 19:49:16 EDT
qstat-2.11-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2010-04-16 19:36:33 EDT
qstat-2.11-9.20080912svn311.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Fedora Update System 2010-04-16 19:39:50 EDT
qstat-2.11-9.20080912svn311.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.